%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   This file is part of chemotaxis pathway designer                    % 
%                                                                       % 
%   Copyright (C) Junjie Luo     jjluo54@163.com                        % 
%                 Jun Wang       wj-cn@163.com                          % 
%   All rights reserved.                                                % 
%                                                                       % 
%   $File: L.m$     $Revision:  1$                                      %   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function l = L(x, field)
% x     : The position of the bacterium
% field : Kind of concentration field
% Return value : The concentration value of ligand of position X in the 
%                concentration field
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

r=2;        %Unit: mm
L0=2;       %Unit: uM 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

switch field 
    case 'line'                         
        l=L0*exp(-(x(1) / r)^2);
    case 'line2'
        l=L0*exp(-(x(1) / r * 2)^2);
    case 'line0.1'
        l=L0*exp(-(x(1) / r * 0.1)^2);
    case 'point'
        l=L0*exp(-(norm(x) / r)^2);
    case 'valley'
        l=L0*(exp((x(1) / r)^2) - 1);
    otherwise
        error('Undefined ligand field')
end