%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   This file is part of chemotaxis pathway designer                    % 
%                                                                       % 
%   Copyright (C) Junjie Luo     jjluo54@163.com                        % 
%                 Jun Wang       wj-cn@163.com                          % 
%   All rights reserved.                                                % 
%                                                                       % 
%   $File: Plot.m$     $Revision:  1$                                   %   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Plot(x_out, CheYp_out)
% x_out : The trace of the bacterium    
% CheYp_out : The value of CheYp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global STEPS dt
    close all

    figure
    subplot(2,2,[1,3]),axis equal
    hold on,
    plot(x_out(:,1),x_out(:,2)),
    plot(x_out([1,end],1),x_out([1,end],2),'*','MarkerEdgeColor','r',...
                                               'MarkerFaceColor','k',...
                                               'MarkerSize',10),
    xlabel('x (mm)'), ylabel('y (mm)')
 
    subplot(2,2,2),
    hold on, 
    plot(x_out(:, 1)), 
    xlabel('t (s)'), ylabel('x (mm)')
    subplot(2,2,4), plot(CheYp_out)
    xlabel('t (s)'), ylabel('CheY-p (\muM)')
    
    picname='Trace_x_Y';
    hgsave(figure(1), picname), saveas(figure(1), picname, 'jpg')
    pause, 
    
    close

